SolrDocument::rewind
SolrDocument::__set
SolrDocument
PHP Manual

# SolrDocument::serialize

(PECL solr >= 0.9.2)

SolrDocument::serialize — Used for custom serialization

### Description

public string SolrDocument::serialize ( void )

Used for custom serialization.

### Parameters

This function has no parameters.

### Return Values

Returns a string representing the serialized Solr document.

SolrDocument::rewind
SolrDocument::__set
SolrDocument
PHP Manual